From 6b9bbb0f66e819b6c22dfc2cda22b410e1d0a802 Mon Sep 17 00:00:00 2001
From: Blank <blank@national.shitposting.agency>
Date: Thu, 14 Mar 2019 23:17:34 -0700
Subject: [PATCH] Add bin/ check

---
 compile-git                     | 2 +-
 compile-git+java-sanityCheck.sh | 2 +-
 compile.bat                     | 2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/compile-git b/compile-git
index 43304f9a109..55acb04d1a0 100755
--- a/compile-git
+++ b/compile-git
@@ -1,5 +1,5 @@
 #!/bin/bash
-
+find bin/ >/dev/null 2>&1;if [ `echo $?` -gt 0 ];then mkdir bin/;fi
 # Run sanity check.
 ./sanityCheck
 
diff --git a/compile-git+java-sanityCheck.sh b/compile-git+java-sanityCheck.sh
index 53f1ec1f7aa..1859d3ea7ba 100755
--- a/compile-git+java-sanityCheck.sh
+++ b/compile-git+java-sanityCheck.sh
@@ -1,5 +1,5 @@
 #!/bin/bash
-
+find bin/ >/dev/null 2>&1;if [ `echo $?` -gt 0 ];then mkdir bin/;fi
 # Run sanity check.
 ./java+gitGrep-sanityCheck.sh
 
diff --git a/compile.bat b/compile.bat
index 535d53bf342..03d861e77d5 100644
--- a/compile.bat
+++ b/compile.bat
@@ -3,7 +3,7 @@
 
 :: Set working directory
 pushd %~dp0
-
+if not exist "bin\" mkdir bin
 :: Run the appropriate compiler for the user's CPU architecture.
 if %PROCESSOR_ARCHITECTURE% == AMD64 (
 	CALL "%~dp0devTools\tweeGo\tweego_win64.exe" -o "%~dp0bin/FC_pregmod.html" "%~dp0src"
-- 
GitLab